This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 460893 - Review Request: ocaml-lwt - OCaml lightweight thread library
Review Request: ocaml-lwt - OCaml lightweight thread library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 460894
  Show dependency treegraph
 
Reported: 2008-09-02 09:23 EDT by Richard W.M. Jones
Modified: 2015-09-14 09:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-03 17:23:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-09-02 09:23:34 EDT
Spec URL: http://annexia.org/tmp/ocsigen/ocaml-lwt.spec
SRPM URL: http://annexia.org/tmp/ocsigen/ocaml-lwt-1.1.0-1.fc10.src.rpm
Description: OCaml lightweight thread library

rpmlint says:
  ocaml-lwt.i386: E: no-binary
which is OK for ocaml packages (for now).
Comment 1 Jason Tibbitts 2008-09-02 22:38:57 EDT
This seems to be by the numbers.

* source files match upstream:
   6c9087e1185de933091fcd147f1c125157b01921d32ca0e2304319c2d72ee9d6  
   lwt-1.1.0.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   ocaml(Lwt) = c5ffef98b13f98aaf259ed6d25c1378c
   ocaml(Lwt_chan) = 61e25689aac2799eaed8a3dca58ab494
   ocaml(Lwt_lib) = 9ee12d4def8b5ab678a3e542de9d8c16
   ocaml(Lwt_mutex) = 392b2a8f55ae4e22d1f360c17d397e5f
   ocaml(Lwt_pool) = b014064a4a720b1c119bc742b754882c
   ocaml(Lwt_preemptive) = 70d1b7fa437f0ecc251ddfafc38ad4b0
   ocaml(Lwt_ssl) = 7ef8a9f55e3bf5b56c02571d6679ee87
   ocaml(Lwt_timeout) = 0c15d17b575faabef2108913269739fc
   ocaml(Lwt_unix) = c052cbbc7ea43f9fc92ceaf1d0ce2d27
   ocaml(Lwt_util) = a2d566a4b31f1e5c4019acf634565671
   ocaml(Pqueue) = 60b1b16966e006647ea1e4105f5bff5b
   ocaml-lwt = 1.1.0-1.fc10
   ocaml-lwt(x86-64) = 1.1.0-1.fc10
  =
   ocaml(Array) = aa8e3cd5824f9bb40b93fcd38d0c95b5
   ocaml(Char) = e98bc9c9e918a84b3c1a5a122d42fac1
   ocaml(Event) = eed3f9e28d19dc881a67c9170fab2cba
   ocaml(Hashtbl) = 083f2c94b44ff4e0b3220aaea6a783b4
   ocaml(Int32) = 711321870c949bd3bbdd092d9bae92e4
   ocaml(Int64) = f8f7e2e4c0667ead94596040b12e732d
   ocaml(List) = da1ce9168f0408ff26158af757456948
   ocaml(Map) = dedde7683d54ae7db1eb97cc868dd047
   ocaml(Marshal) = b7e47558bc02738dea90d6bd22a06c7b
   ocaml(Mutex) = 855af44384a5465360efe6e8bff546ab
   ocaml(Nativeint) = e79cdc4d3575c2ed044955cb7ef49aca
   ocaml(Pervasives) = 8ba3d1faa24d659525c9025f41fd0c57
   ocaml(Printexc) = 82717999a586ede6925c0aa18d6562ac
   ocaml(Queue) = caa3a209bfc63d23a30f573541a88fec
   ocaml(Random) = 9936935480b36bcbc716ee513f37876c
   ocaml(Ssl) = 324220f216777300ec27ca4377a7572a
   ocaml(String) = 2c162ab314b2f0a2cfd22d471b2e21ab
   ocaml(Sys) = 0da495f5a80f31899139359805318f28
   ocaml(Thread) = 4d689a17935ae01464f9b634e77c2e6f
   ocaml(Unix) = 9a46a8db115947409e54686ada118599
   ocaml(Weak) = 6d509339939dea165d9dfd44d8a6a035
   ocaml(runtime) = 3.10.2

  ocaml-lwt-devel-1.1.0-1.fc10.x86_64.rpm
   ocaml-lwt-devel = 1.1.0-1.fc10
   ocaml-lwt-devel(x86-64) = 1.1.0-1.fc10
  =
   ocaml-lwt = 1.1.0-1.fc10

* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* .cma, .cmi, .so, .so.owner, META files in the main package.
* .a, .cmxa, .cmx and .mli files are in the -devel subpackage.
* .cmo, .o and .ml files not included

APPROVED
Comment 2 Richard W.M. Jones 2008-09-03 03:50:45 EDT
Thanks Jason.

CVS request coming up.
Comment 3 Richard W.M. Jones 2008-09-03 03:54:24 EDT
New Package CVS Request
=======================
Package Name: ocaml-lwt
Short Description: OCaml lightweight thread library
Owners: rjones
Branches: F-9
InitialCC: rjones
Comment 4 Kevin Fenzi 2008-09-03 16:35:58 EDT
cvs done.
Comment 5 Richard W.M. Jones 2008-09-03 17:23:09 EDT
Built for rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=803247

Built for F-9:
http://koji.fedoraproject.org/koji/taskinfo?taskID=803246

Thank you Jason & Kevin for your tireless work.
Comment 6 Fedora Update System 2008-09-03 17:25:03 EDT
ocaml-lwt-1.1.0-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/ocaml-lwt-1.1.0-1.fc9
Comment 7 Fedora Update System 2008-09-24 20:10:17 EDT
ocaml-lwt-1.1.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Ding-Yi Chen 2015-09-13 20:24:57 EDT
Package Change Request
======================
Package Name: ocaml-lwt
New Branches: el6 epel7
Owners: rjones dchen
Comment 9 Jon Ciesla 2015-09-14 09:47:01 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.